Bug 496466 - segmentation fault of db4 operations after migration from i686
segmentation fault of db4 operations after migration from i686
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 08:48 EDT by Frank DiPrete
Modified: 2009-06-01 03:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 03:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank DiPrete 2009-04-19 08:48:03 EDT
Description of problem:

Testing a migration of a running cyrus installtion on i686 to an x86x64 server using the same version of cyrus and rsync'd imap data.

The init script fails while checking the databases with db4 segmentaion faults.
As a test, removed __* from /var/lib/imap/db and restarted,
more segmentation faults in /var/log/messages

Apr 19 08:08:01 gilligan kernel: db_checkpoint[10145]: segfault at 7f211f5166e0 ip 000000346480d8cb sp 00007fff27516840 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:08:43 gilligan kernel: db_checkpoint[10172]: segfault at 7f052ad696e0 ip 000000346480d8cb sp 00007fff32d68090 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:08:50 gilligan dhcpd: balancing pool fa9dc0 192.168.168.0/24  total 101  free 60  backup 40  lts -10  max-own (+/-)10
Apr 19 08:08:50 gilligan dhcpd: balanced pool fa9dc0 192.168.168.0/24  total 101  free 60  backup 40  lts -10  max-misbal 15
Apr 19 08:09:33 gilligan kernel: db_checkpoint[10201]: segfault at 7f2277c4d6e0 ip 000000346480d8cb sp 00007fff7fc4df70 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:09:41 gilligan kernel: db_checkpoint[10210]: segfault at 7f01f55556e0 ip 000000346480d8cb sp 00007ffffd555870 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:11:25 gilligan kernel: svc: 192.168.168.5, port=45814: unknown version (0 for prog 100003, nfsd)
Apr 19 08:11:37 gilligan dhcpd: DHCPDISCOVER from 00:13:20:11:41:37 via eth0
Apr 19 08:11:38 gilligan dhcpd: DHCPOFFER on 192.168.168.106 to 00:13:20:11:41:37 via eth0
Apr 19 08:13:41 gilligan kernel: db_checkpoint[10591]: segfault at 7f2d877c26e0 ip 000000346480d8cb sp 00007fff8f7c3070 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:13:42 gilligan kernel: db_recover[10593]: segfault at 7fd8864db6e0 ip 000000346480d8cb sp 00007fff8e4d9ce0 error 4 in ld-2.8.so[3464800000+1d000]
Apr 19 08:13:42 gilligan kernel: db_recover[10594]: segfault at 7f01939d56e0 ip 000000346480d8cb sp 00007fff9b9d61d0 error 4 in ld-2.8.so[3464800000+1d000]


Apr 19 08:28:19 gilligan kernel: __ratelimit: 11 callbacks suppressed
Apr 19 08:28:19 gilligan kernel: imapd[11614]: segfault at 7f1866868ae8 ip 00007f1864201bcf sp 00007fff6dea0560 error 4 in libdb-4.6.so[7f186411b000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11615]: segfault at 7f296acf7ae8 ip 00007f2967794bcf sp 00007fff71432af0 error 4 in libdb-4.6.so[7f29676ae000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11616]: segfault at 7fa43dc09ae8 ip 00007fa43a178bcf sp 00007fff43e174e0 error 4 in libdb-4.6.so[7fa43a092000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11617]: segfault at 7fa0f6379ae8 ip 00007fa0f25a1bcf sp 00007ffffc23d900 error 4 in libdb-4.6.so[7fa0f24bb000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11618]: segfault at 7f97da633ae8 ip 00007f97d7f40bcf sp 00007fffe1bdf2a0 error 4 in libdb-4.6.so[7f97d7e5a000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11619]: segfault at 7f676aa2cae8 ip 00007f67672c8bcf sp 00007fff70f65630 error 4 in libdb-4.6.so[7f67671e2000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11620]: segfault at 7ff9c07d5ae8 ip 00007ff9be803bcf sp 00007fffc849fb40 error 4 in libdb-4.6.so[7ff9be71d000+145000]
Apr 19 08:28:19 gilligan kernel: imapd[11621]: segfault at 7fd9a6b21ae8 ip 00007fd9a45fbbcf sp 00007fffae297960 error 4 in libdb-4.6.so[7fd9a4515000+145000]



Version-Release number of selected component (if applicable):

cyrus-sasl-lib-2.1.22-15.fc9.x86_64
cyrus-sasl-plain-2.1.22-15.fc9.x86_64
cyrus-imapd-perl-2.3.11-1.fc9.x86_64
cyrus-sasl-2.1.22-15.fc9.x86_64
cyrus-imapd-utils-2.3.11-1.fc9.x86_64
cyrus-imapd-2.3.11-1.fc9.x86_64

db4-utils-4.6.21-7.fc9.x86_64
db4-4.6.21-7.fc9.x86_64


How reproducible:

very.

Steps to Reproduce:
1. Install fc9 x86_x64
2. rysnc /var/lib/imap from running i686 server
3. Start cyrus
  
Actual results:

segementaion faults

Expected results:

no segmenation faults ;)

Additional info:

I happen to be seeing this problem runnign cyrus, but perhaps it is a db4 issue?
Comment 1 Michal Hlavinka 2009-05-29 09:16:23 EDT
could you please get core dump and backtrace?

1) add this line to /etc/sysconfig/init
DAEMON_COREFILE_LIMIT=999999 

2) add this line to  /etc/profile
ulimit -S -c 999999 >/dev/null 2>&1

3)set core dumps
sysctl -w kernel.core_uses_pid=1
sysctl -w fs.suid_dumpable=1
sysctl -w kernel.core_pattern=/tmp/core.%e.%p

4) try to reproduce this bug, you should find /tmp/core.BINARY.PID

5) install debuginfo data
yum --enablerepo='*-debuginfo' install cyrus-imapd-debuginfo-2.3.11-1.fc9.x86_64 db4-debuginfo-4.6.21-7.fc9.x86_64


5) attach /tmp/backtrace.txt - created after following two commands (you need gdb package installed):
echo "bt full" >/tmp/gdb.cmd
gdb -core /home/cores/core.mount.ecryptfs.1243588664.18200 -batch -x /tmp/gdb.cmd >/tmp/backtrace.txt

thanks
Comment 2 Frank DiPrete 2009-05-30 06:29:20 EDT
Sorry, but I have migrated the server off fc9.

Before doing so the work-around was to delete the db files before starting cyrus on the x86-64 machine, letting cyrus re-create them.
Comment 3 Michal Hlavinka 2009-06-01 03:59:30 EDT
ok, thanks

Note You need to log in before you can comment on or make changes to this bug.